Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 492979 - Review Request: python-cliutils - A collection of utilities easing the creation of command line scripts
Summary: Review Request: python-cliutils - A collection of utilities easing the creati...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-03-31 01:46 UTC by Jason Friedland
Modified: 2009-06-30 00:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-30 00:08:06 UTC


Attachments (Terms of Use)

Description Jason Friedland 2009-03-31 01:46:34 UTC
Spec URL: http://jason.friedland.id.au/pkg/python-cliutils.spec
SRPM URL: http://jason.friedland.id.au/pkg/python-cliutils-0.1.3-1.fc10.src.rpm
Description: A collection of utilities easing the creation of command line scripts. cliutils is pure Python with no dependencies. At the moment, the module provides three disparate features: Process objects, a command-line argument parsing decorator, and a logging decorator factory.

I still require a sponsor and will add FE-NEEDSPONSOR to the blocks field.

Comment 2 Susi Lehtola 2009-04-03 16:23:39 UTC
- Don't use macros for cat or rm. (Macro for python is in the python guideline
for some reason.)

- Don't use filelist.

- Use %defattr(-,root,root,-)

- Remove empty %post and %postun sections.

- Change

BuildRequires: python, python-devel, python-setuptools

to

BuildRequires: python-setuptools-devel

(BR python is redundant, since python-devel already pulls that in. If you BR
python-setuptools-devel, then it pulls setuptools and python-devel
automatically.)

You don't even need python-setuptools unless you want to build for EPEL. For a plain Fedora spec you'd just need BR: python-devel. (In the python guideline the BR is actually just python.)

Comment 3 Jason Friedland 2009-04-05 09:34:09 UTC
Thanks for the feedback Jussi - I will bear that in mind for future reference.

I have edited the SPEC and re-uploaded the files:

Spec URL: http://jason.friedland.id.au/pkg/python-cliutils.spec
SRPM URL: http://jason.friedland.id.au/pkg/python-cliutils-0.1.3-3.fc10.src.rpm

Comment 4 Susi Lehtola 2009-04-25 07:48:52 UTC
Ping, do you still need a sponsor? Do you have other submissions and have you done reviews of other packages?

Comment 5 Jason Friedland 2009-04-28 08:35:11 UTC
Yes, I still need a sponsor.

I have only reviewed the following package so far: 
https://bugzilla.redhat.com/show_bug.cgi?id=492612

And have also submitted this package: 
https://bugzilla.redhat.com/show_bug.cgi?id=492744

Comment 6 Susi Lehtola 2009-04-28 09:12:49 UTC
Okay, I can sponsor you, but first I need to see that you know the packaging guidelines.

You have done only python packages so far, so I'd like to see reviews of some packages of other types as well. You can also package something yourself; if you don't have anything on your todo list you can look up something from the Fedora Wishlist, just remember to check first if a) the package is already in Fedora or b) there is already a review request of the package in bugzilla

http://fedoraproject.org/wiki/PackageMaintainers/WishList

Comment 7 Susi Lehtola 2009-05-22 16:22:32 UTC
ping?

Comment 8 Jason Tibbitts 2009-06-30 00:08:06 UTC
It's been far too long with no response from the submitter; I'll close this out.


Note You need to log in before you can comment on or make changes to this bug.